Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.replication.manager.testing
Class ReplicationManagerRegrTest

    java.lang.Object
      rice.p2p.commonapi.testing.CommonAPITest
          rice.p2p.replication.manager.testing.ReplicationManagerRegrTest

    public class ReplicationManagerRegrTest

extends CommonAPITest

Version:
  $Id: ReplicationManagerRegrTest.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove

Nested Class Summary
`protected class` | `ReplicationManagerRegrTest.TestReplicationManagerClient` DESCRIBE THE CLASS

Field Summary
`protected ReplicationManagerRegrTest.TestReplicationManagerClient[]` | `clients` The clients
`static java.lang.String` | `INSTANCE` the instance name to use
`static int` | `REPLICATION_FACTOR` The replication factor to use
`protected ReplicationManagerImpl[]` | `replications` the replication impls in the ring

Fields inherited from class rice.p2p.commonapi.testing.CommonAPITest
`BOOTSTRAP, BOOTSTRAP_PORT, environment, factory, FACTORY, FAILURE, idFactory, INSTANCE_NAME, LEASE_PERIOD, logger, nodes, NUM_NODES, PAD_SIZE, params, PORT, PROTOCOL, PROTOCOL_DIRECT, PROTOCOL_RENDEZVOUS, PROTOCOL_SOCKET, simulator, SIMULATOR, SIMULATOR_EUCLIDEAN, SIMULATOR_GT_ITM, SIMULATOR_SPHERE, SUCCESS, TIME_TO_FIND_FAULTY`

Constructor Summary
`ReplicationManagerRegrTest(Environment env)` Constructor which sets up all local variables

Method Summary
`static void` | `main(java.lang.String[] args)` Usage: ReplicationRegrTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (rmi|wire)] [-help]
`void` | `printValsForRange(IdRange range)`
`protected void` | `processNode(int num, Node node)` Method which should process the given newly-created node
`void` | `runMaintenance()`
`protected void` | `runTest()` Method which should run the test - this is called once all of the nodes have been created and are ready.
`void` | `testBasic()` Tests basic functionality
`void` | `testMaintenance()` Tests maintenance functionality
`void` | `testOverload()` Tests basic functionality
`void` | `testStress()` Tests basic functionality

Methods inherited from class rice.p2p.commonapi.testing.CommonAPITest
`assertEquals, assertTrue, createNode, createNodes, getBootstrap, kill, parseArgs, pause, sectionDone, sectionStart, setupParams, simulate, simulate, start, stepDone, stepDone, stepDone, stepException, stepStart, waitOnClock, waitToRecoverFromKilling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPLICATION_FACTOR

    public static final int REPLICATION_FACTOR

  The replication factor to use

  See Also:
    Constant Field Values

### INSTANCE

    public static java.lang.String INSTANCE

  the instance name to use

### replications

    protected ReplicationManagerImpl[] replications

  the replication impls in the ring

### clients

    protected ReplicationManagerRegrTest.TestReplicationManagerClient[] clients

  The clients

Constructor Detail

### ReplicationManagerRegrTest

    public ReplicationManagerRegrTest(Environment env)
                               throws java.io.IOException

  Constructor which sets up all local variables

  Throws:
    `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Usage: ReplicationRegrTest [-port p] [-bootstrap host[:port]] [-nodes n] [-protocol (rmi|wire)] [-help]

  Parameters:
    `args` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException`

### processNode

    protected void processNode(int num,
                               Node node)

  Method which should process the given newly-created node

  Specified by:
    `processNode` in class `CommonAPITest`
  Parameters:
    `node` - The newly created node
    `num` - The number of this node

### runTest

    protected void runTest()

  Method which should run the test - this is called once all of the nodes have been created and are ready.

  Specified by:
    `runTest` in class `CommonAPITest`

### testBasic

    public void testBasic()

  Tests basic functionality

### testMaintenance

    public void testMaintenance()

  Tests maintenance functionality

### testOverload

    public void testOverload()

  Tests basic functionality

### testStress

    public void testStress()

  Tests basic functionality

### printValsForRange

    public void printValsForRange(IdRange range)

### runMaintenance

    public void runMaintenance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.